org.eclipse.wst.jsdt.core.compiler.libraries

## Class SystemLibraryLocation

- java.lang.Object
- - org.eclipse.wst.jsdt.core.compiler.libraries.SystemLibraryLocation

All Implemented Interfaces:
  LibraryLocation

    public class SystemLibraryLocation
    extends java.lang.Object
    implements LibraryLocation

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static char[]` `LIBRARY_PLUGIN_DIRECTORY`
`static char[]` `LIBRARY_RUNTIME_DIRECTORY`
`static char[]` `SYSTEM_LIBARAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`SystemLibraryLocation()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static void` `copyFile(java.io.InputStream src, java.io.File dst)`
`char[][]` `getAllFilesInPluginDirectory(java.lang.String directory)`
`static LibraryLocation` `getInstance()`
`char[][]` `getLibraryFileNames()`
`java.lang.String` `getLibraryPath(char[] name)`
`java.lang.String` `getLibraryPath(java.lang.String name)`
`IPath` `getLibraryPathInPlugin()`
`protected java.lang.String` `getPluginId()`
`IPath` `getWorkingLibPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SYSTEM_LIBARAY_NAME

    public static final char[] SYSTEM_LIBARAY_NAME

#### LIBRARY_RUNTIME_DIRECTORY

    public static final char[] LIBRARY_RUNTIME_DIRECTORY

#### LIBRARY_PLUGIN_DIRECTORY

    public static final char[] LIBRARY_PLUGIN_DIRECTORY

### Constructor Detail

#### SystemLibraryLocation

    public SystemLibraryLocation()

### Method Detail

#### getInstance

    public static LibraryLocation getInstance()

#### getLibraryPathInPlugin

    public IPath getLibraryPathInPlugin()

Specified by:
  `getLibraryPathInPlugin` in interface `LibraryLocation`
Returns:
  relative path within the plugin library files are stored

#### getLibraryFileNames

    public char[][] getLibraryFileNames()

Specified by:
  `getLibraryFileNames` in interface `LibraryLocation`
Returns:
  a list of files in the library

#### getPluginId

    protected java.lang.String getPluginId()

#### getAllFilesInPluginDirectory

    public char[][] getAllFilesInPluginDirectory(java.lang.String directory)

#### getWorkingLibPath

    public IPath getWorkingLibPath()

Specified by:
  `getWorkingLibPath` in interface `LibraryLocation`
Returns:
  working location to store library files.

#### getLibraryPath

    public java.lang.String getLibraryPath(java.lang.String name)

Specified by:
  `getLibraryPath` in interface `LibraryLocation`
Returns:
  path to the given library name

#### getLibraryPath

    public java.lang.String getLibraryPath(char[] name)

Specified by:
  `getLibraryPath` in interface `LibraryLocation`
Returns:
  path to the given library name

#### copyFile

    protected static void copyFile(java.io.InputStream src,
                                   java.io.File dst)
                            throws java.io.IOException

Throws:
  `java.io.IOException`